# -*- encoding: utf-8 -*-
# stub: cf-uaac 4.23.0 ruby lib

Gem::Specification.new do |s|
  s.name = "cf-uaac".freeze
  s.version = "4.23.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dave Syer".freeze, "Dale Olds".freeze, "Joel D'sa".freeze, "Vidya Valmikinathan".freeze, "Luke Taylor".freeze]
  s.date = "2024-04-18"
  s.description = "Client command line tools for interacting with the CloudFoundry User Account and Authorization (UAA) server.  The UAA is an OAuth2 Authorization Server so it can be used by webapps and command line apps to obtain access tokens to act on behalf of users.  The tokens can then be used to access protected resources in a Resource Server.  This library can be used by clients (as a convenient wrapper for mainstream oauth gems) or by resource servers.".freeze
  s.email = ["dsyer@vmware.com".freeze, "olds@vmware.com".freeze, "jdsa@vmware.com".freeze, "vidya@vmware.com".freeze, "ltaylor@vmware.com".freeze]
  s.executables = ["completion-helper".freeze, "uaac".freeze, "uaac-completion.sh".freeze, "uaas".freeze]
  s.files = ["bin/completion-helper".freeze, "bin/uaac".freeze, "bin/uaac-completion.sh".freeze, "bin/uaas".freeze]
  s.homepage = "https://github.com/cloudfoundry/cf-uaac".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.rubygems_version = "3.5.3".freeze
  s.summary = "Command line interface for CloudFoundry UAA".freeze

  s.installed_by_version = "3.5.3".freeze if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<cf-uaa-lib>.freeze, ["~> 4.0.4".freeze])
  s.add_development_dependency(%q<rake>.freeze, ["~> 13.0".freeze])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.12".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.22.0".freeze])
  s.add_development_dependency(%q<simplecov-rcov>.freeze, ["~> 0.3.1".freeze])
  s.add_development_dependency(%q<ci_reporter>.freeze, ["~> 2.1.0".freeze])
  s.add_development_dependency(%q<ci_reporter_rspec>.freeze, ["~> 1.0".freeze])
  s.add_runtime_dependency(%q<highline>.freeze, [">= 2".freeze, "< 4".freeze])
  s.add_runtime_dependency(%q<eventmachine>.freeze, ["~> 1.2".freeze])
  s.add_runtime_dependency(%q<launchy>.freeze, [">= 2.5".freeze, "< 4.0".freeze])
  s.add_runtime_dependency(%q<em-http-request>.freeze, ["~> 1.1".freeze, ">= 1.1.2".freeze])
  s.add_runtime_dependency(%q<json_pure>.freeze, ["~> 2.6".freeze])
  s.add_runtime_dependency(%q<rack>.freeze, ["~> 3.0".freeze])
end
